
Redmine - Patch #29781

Prevent users from getting stuck with an expired password recovery token in their session

2018-10-17 06:30 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 4.0.0   

Description

A user whose password recovery token expired after it was already put into

their session would be redirected to the login page all the time.

to fix that, the token is cleared from the session and the user is

asked to try again

before this change, the user would have to clear their cookies in this

case to be able to ever get a new token

Related issues:

Related to Redmine - Feature #28561: Add note about link validity to password... Closed

Associated revisions

Revision 17601 - 2018-10-28 06:59 - Go MAEDA

Handles the case when an expired token is in the users session (#29781).

Patch by Jens Krämer.

Revision 17602 - 2018-10-28 07:03 - Go MAEDA

Update locales (#29781).

History

#1 - 2018-10-18 03:19 - Go MAEDA

- Related to Feature #28561: Add note about link validity to password lost email added

#2 - 2018-10-28 07:00 - Go MAEDA

- Subject changed from prevent users from getting stuck with an expired password recovery token in their session to Prevent users from getting stuck

with an expired password recovery token in their session

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 4.0.0

Committed. Thank you for your contribution.
